#############################################################################
# Makefile for building: overview
# Generated by qmake (1.06c) (Qt 3.2.1) on: Mon Aug 23 13:04:25 2004
# Project:  overview.pro
# Template: subdirs
# Command: $(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile overview.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p
SUBTARGETS =	 \
		sub-basicbrowsing \
		sub-basicdatamanip \
		sub-create_connections \
		sub-delete \
		sub-form1 \
		sub-insert \
		sub-navigating \
		sub-order2 \
		sub-retrieve1 \
		sub-subclass1 \
		sub-subclass3 \
		sub-subclass5 \
		sub-table2 \
		sub-table4 \
		sub-basicbrowsing2 \
		sub-connect1 \
		sub-custom1 \
		sub-extract \
		sub-form2 \
		sub-insert2 \
		sub-order1 \
		sub-retrieve2 \
		sub-subclass2 \
		sub-subclass4 \
		sub-table1 \
		sub-table3 \
		sub-update

first: all

all: Makefile $(SUBTARGETS)

basicbrowsing/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "basicbrowsing" || $(MKDIR) "basicbrowsing"
	cd basicbrowsing && $(QMAKE) basicbrowsing.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-basicbrowsing: basicbrowsing/$(MAKEFILE) FORCE
	cd basicbrowsing && $(MAKE) -f $(MAKEFILE)

basicdatamanip/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "basicdatamanip" || $(MKDIR) "basicdatamanip"
	cd basicdatamanip && $(QMAKE) basicdatamanip.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-basicdatamanip: basicdatamanip/$(MAKEFILE) FORCE
	cd basicdatamanip && $(MAKE) -f $(MAKEFILE)

create_connections/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "create_connections" || $(MKDIR) "create_connections"
	cd create_connections && $(QMAKE) create_connections.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-create_connections: create_connections/$(MAKEFILE) FORCE
	cd create_connections && $(MAKE) -f $(MAKEFILE)

delete/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "delete" || $(MKDIR) "delete"
	cd delete && $(QMAKE) delete.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-delete: delete/$(MAKEFILE) FORCE
	cd delete && $(MAKE) -f $(MAKEFILE)

form1/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "form1" || $(MKDIR) "form1"
	cd form1 && $(QMAKE) form1.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-form1: form1/$(MAKEFILE) FORCE
	cd form1 && $(MAKE) -f $(MAKEFILE)

insert/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "insert" || $(MKDIR) "insert"
	cd insert && $(QMAKE) insert.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-insert: insert/$(MAKEFILE) FORCE
	cd insert && $(MAKE) -f $(MAKEFILE)

navigating/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "navigating" || $(MKDIR) "navigating"
	cd navigating && $(QMAKE) navigating.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-navigating: navigating/$(MAKEFILE) FORCE
	cd navigating && $(MAKE) -f $(MAKEFILE)

order2/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "order2" || $(MKDIR) "order2"
	cd order2 && $(QMAKE) order2.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-order2: order2/$(MAKEFILE) FORCE
	cd order2 && $(MAKE) -f $(MAKEFILE)

retrieve1/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "retrieve1" || $(MKDIR) "retrieve1"
	cd retrieve1 && $(QMAKE) retrieve1.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-retrieve1: retrieve1/$(MAKEFILE) FORCE
	cd retrieve1 && $(MAKE) -f $(MAKEFILE)

subclass1/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "subclass1" || $(MKDIR) "subclass1"
	cd subclass1 && $(QMAKE) subclass1.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-subclass1: subclass1/$(MAKEFILE) FORCE
	cd subclass1 && $(MAKE) -f $(MAKEFILE)

subclass3/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "subclass3" || $(MKDIR) "subclass3"
	cd subclass3 && $(QMAKE) subclass3.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-subclass3: subclass3/$(MAKEFILE) FORCE
	cd subclass3 && $(MAKE) -f $(MAKEFILE)

subclass5/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "subclass5" || $(MKDIR) "subclass5"
	cd subclass5 && $(QMAKE) subclass5.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-subclass5: subclass5/$(MAKEFILE) FORCE
	cd subclass5 && $(MAKE) -f $(MAKEFILE)

table2/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "table2" || $(MKDIR) "table2"
	cd table2 && $(QMAKE) table2.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-table2: table2/$(MAKEFILE) FORCE
	cd table2 && $(MAKE) -f $(MAKEFILE)

table4/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "table4" || $(MKDIR) "table4"
	cd table4 && $(QMAKE) table4.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-table4: table4/$(MAKEFILE) FORCE
	cd table4 && $(MAKE) -f $(MAKEFILE)

basicbrowsing2/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "basicbrowsing2" || $(MKDIR) "basicbrowsing2"
	cd basicbrowsing2 && $(QMAKE) basicbrowsing2.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-basicbrowsing2: basicbrowsing2/$(MAKEFILE) FORCE
	cd basicbrowsing2 && $(MAKE) -f $(MAKEFILE)

connect1/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "connect1" || $(MKDIR) "connect1"
	cd connect1 && $(QMAKE) connect1.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-connect1: connect1/$(MAKEFILE) FORCE
	cd connect1 && $(MAKE) -f $(MAKEFILE)

custom1/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "custom1" || $(MKDIR) "custom1"
	cd custom1 && $(QMAKE) custom1.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-custom1: custom1/$(MAKEFILE) FORCE
	cd custom1 && $(MAKE) -f $(MAKEFILE)

extract/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "extract" || $(MKDIR) "extract"
	cd extract && $(QMAKE) extract.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-extract: extract/$(MAKEFILE) FORCE
	cd extract && $(MAKE) -f $(MAKEFILE)

form2/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "form2" || $(MKDIR) "form2"
	cd form2 && $(QMAKE) form2.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-form2: form2/$(MAKEFILE) FORCE
	cd form2 && $(MAKE) -f $(MAKEFILE)

insert2/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "insert2" || $(MKDIR) "insert2"
	cd insert2 && $(QMAKE) insert2.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-insert2: insert2/$(MAKEFILE) FORCE
	cd insert2 && $(MAKE) -f $(MAKEFILE)

order1/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "order1" || $(MKDIR) "order1"
	cd order1 && $(QMAKE) order1.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-order1: order1/$(MAKEFILE) FORCE
	cd order1 && $(MAKE) -f $(MAKEFILE)

retrieve2/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "retrieve2" || $(MKDIR) "retrieve2"
	cd retrieve2 && $(QMAKE) retrieve2.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-retrieve2: retrieve2/$(MAKEFILE) FORCE
	cd retrieve2 && $(MAKE) -f $(MAKEFILE)

subclass2/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "subclass2" || $(MKDIR) "subclass2"
	cd subclass2 && $(QMAKE) subclass2.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-subclass2: subclass2/$(MAKEFILE) FORCE
	cd subclass2 && $(MAKE) -f $(MAKEFILE)

subclass4/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "subclass4" || $(MKDIR) "subclass4"
	cd subclass4 && $(QMAKE) subclass4.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-subclass4: subclass4/$(MAKEFILE) FORCE
	cd subclass4 && $(MAKE) -f $(MAKEFILE)

table1/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "table1" || $(MKDIR) "table1"
	cd table1 && $(QMAKE) table1.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-table1: table1/$(MAKEFILE) FORCE
	cd table1 && $(MAKE) -f $(MAKEFILE)

table3/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "table3" || $(MKDIR) "table3"
	cd table3 && $(QMAKE) table3.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-table3: table3/$(MAKEFILE) FORCE
	cd table3 && $(MAKE) -f $(MAKEFILE)

update/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "update" || $(MKDIR) "update"
	cd update && $(QMAKE) update.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-update: update/$(MAKEFILE) FORCE
	cd update && $(MAKE) -f $(MAKEFILE)

sub-basicdatamanip: sub-basicbrowsing
sub-create_connections: sub-basicdatamanip
sub-delete: sub-create_connections
sub-form1: sub-delete
sub-insert: sub-form1
sub-navigating: sub-insert
sub-order2: sub-navigating
sub-retrieve1: sub-order2
sub-subclass1: sub-retrieve1
sub-subclass3: sub-subclass1
sub-subclass5: sub-subclass3
sub-table2: sub-subclass5
sub-table4: sub-table2
sub-basicbrowsing2: sub-table4
sub-connect1: sub-basicbrowsing2
sub-custom1: sub-connect1
sub-extract: sub-custom1
sub-form2: sub-extract
sub-insert2: sub-form2
sub-order1: sub-insert2
sub-retrieve2: sub-order1
sub-subclass2: sub-retrieve2
sub-subclass4: sub-subclass2
sub-table1: sub-subclass4
sub-table3: sub-table1
sub-update: sub-table3

Makefile: overview.pro ../../../.qmake.cache /usr/lib/qt/mkspecs/linux-g++/qmake.conf 
	$(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile overview.pro
qmake: qmake_all
	@$(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile overview.pro

all: $(SUBTARGETS)
qmake_all: basicbrowsing/$(MAKEFILE) basicdatamanip/$(MAKEFILE) create_connections/$(MAKEFILE) delete/$(MAKEFILE) form1/$(MAKEFILE) insert/$(MAKEFILE) navigating/$(MAKEFILE) order2/$(MAKEFILE) retrieve1/$(MAKEFILE) subclass1/$(MAKEFILE) subclass3/$(MAKEFILE) subclass5/$(MAKEFILE) table2/$(MAKEFILE) table4/$(MAKEFILE) basicbrowsing2/$(MAKEFILE) connect1/$(MAKEFILE) custom1/$(MAKEFILE) extract/$(MAKEFILE) form2/$(MAKEFILE) insert2/$(MAKEFILE) order1/$(MAKEFILE) retrieve2/$(MAKEFILE) subclass2/$(MAKEFILE) subclass4/$(MAKEFILE) table1/$(MAKEFILE) table3/$(MAKEFILE) update/$(MAKEFILE)
	 ( [ -d basicbrowsing ] && cd basicbrowsing ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d basicdatamanip ] && cd basicdatamanip ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d create_connections ] && cd create_connections ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d delete ] && cd delete ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d form1 ] && cd form1 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d insert ] && cd insert ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d navigating ] && cd navigating ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d order2 ] && cd order2 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d retrieve1 ] && cd retrieve1 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d subclass1 ] && cd subclass1 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d subclass3 ] && cd subclass3 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d subclass5 ] && cd subclass5 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d table2 ] && cd table2 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d table4 ] && cd table4 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d basicbrowsing2 ] && cd basicbrowsing2 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d connect1 ] && cd connect1 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d custom1 ] && cd custom1 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d extract ] && cd extract ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d form2 ] && cd form2 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d insert2 ] && cd insert2 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d order1 ] && cd order1 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d retrieve2 ] && cd retrieve2 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d subclass2 ] && cd subclass2 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d subclass4 ] && cd subclass4 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d table1 ] && cd table1 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d table3 ] && cd table3 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d update ] && cd update ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uninstall uicables mocables install uiclean mocclean lexclean yaccclean: qmake_all FORCE
	 ( [ -d basicbrowsing ] && cd basicbrowsing ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d basicdatamanip ] && cd basicdatamanip ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d create_connections ] && cd create_connections ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d delete ] && cd delete ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d form1 ] && cd form1 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d insert ] && cd insert ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d navigating ] && cd navigating ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d order2 ] && cd order2 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d retrieve1 ] && cd retrieve1 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d subclass1 ] && cd subclass1 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d subclass3 ] && cd subclass3 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d subclass5 ] && cd subclass5 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d table2 ] && cd table2 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d table4 ] && cd table4 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d basicbrowsing2 ] && cd basicbrowsing2 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d connect1 ] && cd connect1 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d custom1 ] && cd custom1 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d extract ] && cd extract ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d form2 ] && cd form2 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d insert2 ] && cd insert2 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d order1 ] && cd order1 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d retrieve2 ] && cd retrieve2 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d subclass2 ] && cd subclass2 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d subclass4 ] && cd subclass4 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d table1 ] && cd table1 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d table3 ] && cd table3 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d update ] && cd update ; $(MAKE) -f $(MAKEFILE) $@; ) || true
distclean: qmake_all FORCE
	 ( [ -d basicbrowsing ] && cd basicbrowsing ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d basicdatamanip ] && cd basicdatamanip ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d create_connections ] && cd create_connections ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d delete ] && cd delete ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d form1 ] && cd form1 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d insert ] && cd insert ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d navigating ] && cd navigating ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d order2 ] && cd order2 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d retrieve1 ] && cd retrieve1 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d subclass1 ] && cd subclass1 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d subclass3 ] && cd subclass3 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d subclass5 ] && cd subclass5 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d table2 ] && cd table2 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d table4 ] && cd table4 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d basicbrowsing2 ] && cd basicbrowsing2 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d connect1 ] && cd connect1 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d custom1 ] && cd custom1 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d extract ] && cd extract ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d form2 ] && cd form2 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d insert2 ] && cd insert2 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d order1 ] && cd order1 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d retrieve2 ] && cd retrieve2 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d subclass2 ] && cd subclass2 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d subclass4 ] && cd subclass4 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d table1 ] && cd table1 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d table3 ] && cd table3 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d update ] && cd update ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

FORCE:

